<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>HTML Forms</title>
</head>
<body>
	<header>
		<h2 align="center">Welcome to the Forms Page</h2>
	</header>
	
	<!-- Semantic Tags are a new addition to HTML. These tags are meaningful and descriptive of the element they create. <em>, <strong> are samples of semantic tags. There are other semantic tags that act much like divs that they are containers of elements, text and even other containers.

	The difference between a div and semantic container is that a semantic container is descriptive of the content that it contains even without relying to a semantic id. 

	Semantic Containers are preferred such as nav, main, section and header because they provide good SEO and it is much helpful and clearer for other developers looking at our code.-->
	<nav>
		<ul>
			<li><a href="./index.html">Home Page</a></li>
			<li><a href="./table.html">Tables</a></li>
			<li><a href="../activity/contact.html">Contacts</a></li>
		</ul>
	</nav>
	<!-- nav container is mostly used to contain navigation links
		 main container is used to show the main content of the page
		 section container is used to show sections of a main content or a page -->
	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>
				HTML Forms are used to gather information or data from our user and send that information to a server.
			</p>

		</section>
		<section>
			<p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Illo dolore recusandae rem cupiditate adipisci voluptatibus in aliquid ad, repudiandae quam maiores amet mollitia, reprehenderit. Sint delectus molestiae earum, amet aliquid sed, autem.</p>
		</section>
		<section><p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Nostrum, vitae autem error voluptate est inventore ad esse laboriosam eum mollitia repudiandae optio tenetur maxime, perferendis aliquam, eos in sit dolor repellat. Modi, cumque? Harum est doloribus nihil earum, voluptatum placeat optio neque illum officiis eaque assumenda adipisci necessitatibus accusantium vitae sit dolore alias voluptatem consequuntur obcaecati reprehenderit quam repellat culpa quae. In, maiores deleniti quisquam nisi reiciendis a maxime molestiae ipsam iusto quae! Qui ipsum nostrum sit ea, nesciunt totam culpa aut minima illo? Explicabo veritatis delectus porro reprehenderit aperiam iusto praesentium? Assumenda deserunt est aut nemo, vero minus.</p></section>
		
		<section>
			<!-- form tag allows us to create a form. We can then gather data or user input from our from and submit it to a server

			action attribute in a form allows us to submit/pass the data to the server that given.

			label allow us to create an element  
			
			
			
			-->
			<form action="https://google.com">
				<!-- fullname -->
				<label for="fname">Full Name</label>
				<br>
				<input type="text" name="fullName" id="fname" required autocomplete>
				<br>
				<!-- birthday -->
				<label for="bday">Birthdate</label>
				<br>
				<input type="date" name="birthdate" id="bday" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age</label>
				<br>
				<input type="number" name="age" id="ageInput" required>
				<br>
				<!-- gender -->
				<label for="genderInput">Gender:</label>
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput2" value="manager">
				<label for="roleInput2">Manager</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput3" value="supervisor">
				<label for="roleInput3">Supervisor</label>
				<br>
				<br>
				<!-- submit button -->
				<button type="submit">Submit</button>
				<!-- reset button -->
				<button type="reset">Reset</button>
			</form>
		</section>

	</main>
</body>
</html>